package monnethic.mobile.database;

import android.util.Log;

import monnethic.mobile.transaction.Transaction;
import monnethic.mobile.user.User;

import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.dao.DaoManager;
import com.j256.ormlite.jdbc.JdbcConnectionSource;
import com.j256.ormlite.support.ConnectionSource;

public class DatabaseHelper {
    private static final String DATABASE_NAME = "monnethic";
    private static final String DATABASE_USER = "";
    private static final String DATABASE_PWD = "";
    private final static String DATABASE_URL = "jdbc:postgresql:///"+DATABASE_NAME;


    public ConnectionSource setupDatabaseConnection(){
        try{
            return new JdbcConnectionSource(DATABASE_URL, DATABASE_USER, DATABASE_PWD);
        }catch (Exception e){
            System.out.print("\n"+e.getMessage());
            return null;
        }
    }

    /*
    public void insertTransaction(Transaction tx){
        try{
            //Dao<Transaction, Integer> dao = getDao(Transaction.class);
            //dao.create(tx);
        } catch(Exception exception){
            Log.e("DATABASE","Can't insert Transaction into Database", exception);
        }
    }
    */
}
