package monnethic.mobile.database;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

@DatabaseTable(tableName = "T_TEST")
public class DatabaseTest {
    private static final String NAME_FIELD_NAME = "name";
    private static final String ID_FIELD_NAME = "id";

    @DatabaseField(columnName = ID_FIELD_NAME, id = true)
    private int id;
    @DatabaseField(columnName = NAME_FIELD_NAME, canBeNull = false)
    private String name;

    public DatabaseTest(int id, String name) {
        this.id = id;
        this.name = name;
    }

    public DatabaseTest() {

    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
