package monnethic.mobile.test.database;

import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.dao.DaoManager;
import org.junit.Test;
import monnethic.mobile.database.DatabaseHelper;
import monnethic.mobile.database.DatabaseTest;


//Testing class for postgresql connection
public class DatabaseHelperTest {
    private DatabaseHelper dbh = new DatabaseHelper();

    //Test connection by getting existing data in T_TEST
    @Test
    public void TestConnection(){
        Dao<DatabaseTest, Integer> testDao;
        try{
            testDao = DaoManager.createDao(dbh.setupDatabaseConnection(),DatabaseTest.class);
            DatabaseTest dbt = testDao.queryForId(1);
            assert dbt != null;
            assert "thomas".equals(dbt.getName());
        }catch (Exception e){
            System.out.println("\n"+e.getMessage());
        }
    }
}
